Package io.vertx.grpc.server

## Enum GrpcProtocol

- java.lang.Object
- - java.lang.Enum<GrpcProtocol>
  - - io.vertx.grpc.server.GrpcProtocol

- All Implemented Interfaces:
    `Serializable`, `Comparable<GrpcProtocol>`

      public enum GrpcProtocol
      extends Enum<GrpcProtocol>

  Describe the underlying gRPC protocol.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTTP_2` | gRPC over HTTP/2
    `TRANSCODING` | gRPC transcoding HTTP/1
    `WEB` | gRPC Web
    `WEB_TEXT` | gRPC Web text

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accepts​(HttpVersion version)` |
    `String` | `mediaType()` |
    `static GrpcProtocol` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static GrpcProtocol[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP_2

          public static final GrpcProtocol HTTP_2

      gRPC over HTTP/2

    - #### TRANSCODING

          public static final GrpcProtocol TRANSCODING

      gRPC transcoding HTTP/1

    - #### WEB

          public static final GrpcProtocol WEB

      gRPC Web

    - #### WEB_TEXT

          public static final GrpcProtocol WEB_TEXT

      gRPC Web text

  - ### Method Detail

    - #### values

          public static GrpcProtocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GrpcProtocol c : GrpcProtocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GrpcProtocol valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### accepts

          public boolean accepts​(HttpVersion version)

      Returns:
        whether the protocol accepts the HTTP `version`

    - #### mediaType

          public String mediaType()

      Returns:
        the HTTP media type